Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6904 - netstat -ci fails
Summary: netstat -ci fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-11 01:07 UTC by jlewis
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-14 18:55:05 UTC


Attachments (Terms of Use)

Description jlewis 1999-11-11 01:07:07 UTC
In previous releases, netstat -ci would display stats for
network interfaces continuously.  In 6.1, it shows stats
once, then crashes.

[root@squid-1 logs]# netstat -ci
Kernel Interface table
Iface   MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK
TX-ERR TX-DRP TX-OVR Flg
eth0   1500   0  1158442      0      0      0  1192714
0      0      0 BRU
lo     3924   0     8856      0      0      0     8856
0      0      0 LRU
Kernel Interface table
Iface   MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK
TX-ERR TX-DRP TX-OVR Flg
SIOCGIFCONF: Inappropriate ioctl for device
missing interface information: Inappropriate ioctl for
device
[root@squid-1 logs]#

I've checked this on multiple 6.1, 5.2, 5.2 (with 2.2 kernel
upgrades), and 6.0 systems.  All (and only) the 6.1 systems
exhibit this problem.

Comment 1 Jeff Johnson 2000-01-14 18:55:59 UTC
Fixed in net-tools-1.54-2.


Note You need to log in before you can comment on or make changes to this bug.